AIR
==============================

Release 1.0.0 is here: https://gitlab.au.dk/cfp/air/-/releases

AIR is an open-source machine learning project to improve rehabilitation.

AI-Rehabilitering (AIR) is one of seven government-funded signature projects, that aims to test and evaluate artificial intelligence in a municipal setting. More concretely, the AIR project focuses on the use of artificial intelligence as a tool to support municipal case workers, when they evaluate citizens, that are planned to participate in a rehabilitation course. Artificial intelligence can improve the level of service in the public sector, but there is little experience with such technology in the sector. The Danish Government (Regeringen), KL (Kommunernes Landsforening) and Danish Regions (Danske Regioner) has agreed that Danish municipalities should test artificial intelligence solutions to better understand how these can be utilized to improve the quality and capacity in the public sector in the future.

The goal of AIR is to develop a decision-support tool, that can provide case workers with an objective measurement of a citizen’s current eligibility for a certain rehabilitation course, their risk of failing during such a course and an estimate of how well the citizen is thought to do in the course. Current courses span 12 weeks and consist of physical exercises done several times a week by the citizen and evaluated at regular intermediate steps by the care assistant. Performance is measured in terms of improved self-sufficiency and reduced reliance on home help.

AIR is anchored in the Municipality of Aalborg and will pave the way for a solution based on models and statistics, that can support the individual professional assessment done by the case worker when it comes to choosing the right course of action of rehabilitation, including specific initiatives, improved utilization of assistive aids and fall prevention.

Read more at: https://projekter.au.dk/air/

<img src="https://digit.au.dk/fileadmin/_processed_/b/3/csm_AIR_illustration._Christian_Marius_Lillelund._6cd96175d4.png">

Project Organization
==============================

    ├── LICENSE
    ├── README.md          <- The top-level README for developers using this project.
    ├── ml                 <- Location of all machine learning models and source code.
    ├── web                <- Location of all web application source code.
    └── .gitlab-ci.yml     <- Gitlab CICD configuration file

Contact
==============================

Please contact [Christian Marius Lillelund](mailto:cl@ece.au.dk) for questions regarding this repository.
