AIR
==============================

AIR is an open-source machine learning project to improve rehabilitation.

Project Organization
==============================

    ├── LICENSE
    ├── README.md          <- The top-level README for developers using this project.
    ├── data
    │   ├── external       <- Data from third party sources.
    │   ├── interim        <- Intermediate data that has been transformed.
    │   ├── processed      <- The final, canonical data sets for modeling.
    │   └── raw            <- The original, immutable data dump.
    │
    ├── docs               <- A default Sphinx project; see sphinx-doc.org for details
    │
    ├── models             <- Trained and serialized models, model predictions, or model summaries
    │
    ├── notebooks          <- Jupyter notebooks. Naming convention is a number (for ordering),
    │                         the creator's initials, and a short `-` delimited description, e.g.
    │                         `1.0-jqp-initial-data-exploration`.
    │
    ├── references         <- Data dictionaries, manuals, and all other explanatory materials.
    │
    ├── reports            <- Generated analysis as HTML, PDF, LaTeX, etc.
    │
    ├── requirements.txt   <- The requirements file for reproducing the analysis environment, e.g.
    │                         generated with `pip freeze > requirements.txt`
    │
    ├── setup.py           <- makes project pip installable (pip install -e .) so src can be imported
    ├── src                <- Source code for use in this project.
    └── tox.ini            <- tox file with settings for running tox; see tox.readthedocs.io

Requirements
==============================
Python == 3.8

Usage
==============================

To get up and running, clone the repository and copy the raw data to `air\data\raw\2021`. Then go to do the root project directory, install the src module and then all requirements as follows:

    $ pip install -e .
    $ pip install -r requirements.txt

Please note the project depend on scikit-survival, which requires Microsoft Visual C++ 14.0 or greater. Get it from: https://visualstudio.microsoft.com/visual-cpp-build-tools/

Contact
==============================

Please contact [Christian Marius Lillelund](mailto:cl@ece.au.dk) or [Christian Fischer Pedersen](mailto:cfp@ece.au.dk) for questions regarding this repository.
