"""
paths.py
====================================
Module to hold paths of files.
"""

from pathlib import Path

PATHS_2021 = ['AA_Finish Uden 50 udvalgte_Rasmus_Details-CPR.xlsx',
              'AA_Hjælpemidler minus 50_Rasmus_Details-CPR.xlsx',
              'AA_DigiRehab_Aalborg+Details-CPR.xlsx',
              'VB_AIR Hjælpemidler udtræk Total+ Details - CPR.xlsx',
              'VB_DigiRehab_Viborg+Details-CPR.xlsx',
              'VB_Viborg Kommune - Servicekald + Details - CPR.xlsx']

ROOT_DIR = Path(__file__).absolute().parent.parent
MODELS_DIR = Path.joinpath(ROOT_DIR, 'models')
CONFIGS_DIR = Path.joinpath(ROOT_DIR, 'configs')
REFERENCES_DIR = Path.joinpath(ROOT_DIR, 'references')
REPORTS_DIR = Path.joinpath(ROOT_DIR, 'reports')
REPORTS_PLOTS_DIR = Path.joinpath(ROOT_DIR, 'reports/plots')
TESTS_FILES_DIR = Path.joinpath(ROOT_DIR, 'tests/files')
RAW_DATA_DIR_2021 = Path.joinpath(ROOT_DIR, 'data/raw/2021')
RAW_DATA_DIR_TEST = Path.joinpath(ROOT_DIR, 'data/raw/test')
PROCESSED_DATA_DIR = Path.joinpath(ROOT_DIR, 'data/processed')
PROCESSED_EMB_DATA_DIR = Path.joinpath(ROOT_DIR, 'data/processed/embeddings')
INTERIM_DATA_DIR = Path.joinpath(ROOT_DIR, 'data/interim')
EXTERNAL_DATA_DIR = Path.joinpath(ROOT_DIR, 'data/external')
