"""
test_labeler.py
====================================
Test module for labeler
"""

import pandas as pd
import numpy as np
from tools import labeler

def test_make_complete_label():
    df = get_data(n_rows=100, n_citizens=10)
    settings = dict({'alarm_ats': ['222718'],
                     'threshold_weeks': 8,
                     'threshold_training': 10})
    accum_screenings = labeler.accumulate_screenings(df, settings)
    res = labeler.make_complete_label(accum_screenings)
    assert res.shape[0] > 0
    assert res['Complete'] is not None

def get_data(n_rows, n_citizens):
    df = pd.DataFrame()
    df['NumberCompleted'] = np.random.randint(0, 5, n_rows)
    df['NumberTraining'] = np.random.randint(0, 5, n_rows)
    df['NumberScreening'] = np.random.randint(0, 5, n_rows)
    df['NumberSplit'] = np.random.randint(0, 5, n_rows)
    df['NumberWeeks'] = np.random.randint(0, 5, n_rows)
    df['MeanEvaluation'] = np.random.randint(0, 5, n_rows)
    df['NeedsReason'] = ['NeedsReason'] * n_rows
    df['PhysicsReason'] = ['PhysicsReason'] * n_rows
    df['HasFallRisk'] = [True] * n_rows
    df['Ats'] = ['120606'] * n_rows
    df['CitizenId'] = np.random.randint(0, n_citizens, n_rows)
    return df
