"""
test_raw_loader.py
====================================
Test module for raw loader
"""

from tools import raw_loader
import paths as pt

def test_load_training_done():
    loader = raw_loader.RawLoader2021()
    df = loader.load_training_done(pt.PATHS_2021[2],
                                   pt.PATHS_2021[4],
                                   pt.TESTS_FILES_DIR)
    assert not df.empty
    assert df.shape[0] > 0 and df.shape[1] > 0

def test_load_training_cancelled():
    loader = raw_loader.RawLoader2021()
    df = loader.load_training_cancelled(pt.PATHS_2021[2],
                                        pt.PATHS_2021[4],
                                        pt.TESTS_FILES_DIR)
    assert not df.empty
    assert df.shape[0] > 0

def test_load_status_set():
    loader = raw_loader.RawLoader2021()
    df = loader.load_status_set(pt.PATHS_2021[2],
                                pt.PATHS_2021[4],
                                pt.TESTS_FILES_DIR)
    assert not df.empty
    assert df.shape[0] > 0

def test_load_screening_content():
    loader = raw_loader.RawLoader2021()
    df = loader.load_screening_content(pt.PATHS_2021[2],
                                       pt.PATHS_2021[4],
                                       pt.TESTS_FILES_DIR)
    assert not df.empty
    assert df.shape[0] > 0

def test_load_assistive_aids():
    loader = raw_loader.RawLoader2021()
    df = loader.load_assistive_aids(pt.PATHS_2021[1],
                                    pt.PATHS_2021[3],
                                    pt.PATHS_2021[5],
                                    pt.TESTS_FILES_DIR)
    assert not df.empty
    assert df.shape[0] > 0

def test_load_iso_classes():
    loader = raw_loader.RawLoader2021()
    df = loader.load_iso_classes("isoall.txt", pt.TESTS_FILES_DIR)
    assert not df.empty
    assert df.shape[0] > 0
