import http from "../http-common";
import store from "../store/index";

class DataService {
  async fetchCitizenInformationBasedOnSSN(citizenSSN: any): Promise<Boolean> {
    const citizenData : any = await http.post('home/:ssn', { citizenSSN });
    return !citizenData.data ? false : this.setCitizenInformation(citizenData)
  }

  //All data has to be stored from this location
  setCitizenInformation(citizenInformation: any) : boolean {
    store.dispatch("citizenProfile", [
      citizenInformation.data.citizenData.first_name,
      citizenInformation.data.citizenData.last_name,
      citizenInformation.data.citizenData.age,
      citizenInformation.data.citizenData.ssn
    ]);
    store.dispatch("assistiveAids", citizenInformation.data.citizenData.Assistive_Aids);
    store.dispatch("trainingPlans", citizenInformation.data.citizenData.Training_Plans);
    store.dispatch("homeCare", citizenInformation.data.citizenData.Home_Care);

    store.dispatch("probabilityComplete", citizenInformation.data.citizenCompleteTrainingPrediction.CompleteProb);
    store.dispatch("probabilityAlarm", [citizenInformation.data.citizenAlarmPrediction.EventTimes, citizenInformation.data.citizenAlarmPrediction.SurvivalProbs]);
    store.dispatch("probabilityExplanationComplete", citizenInformation.data.citizenCompleteTrainingPrediction.CompleteArguments);
    store.dispatch("probabilityExplanationAlarm", citizenInformation.data.citizenAlarmPrediction.AlarmArguments);
    store.dispatch("compliance", citizenInformation.data.citizenCompleteTrainingPrediction.Compliance);
    return true;
  }
}

export default new DataService();
