import {Module} from "vuex";

const getDefaultState = () => {
    return {
      items: []
    }
  }

const aidStore: Module<any, any> = {
    state: {
        //assistiveAids: [],
        assistiveAids: getDefaultState,
    },
    mutations: {
        SET_ASSISTIVE_AIDS(state, value) {
            state.assistiveAids = value;
        },
        RESET_STATE_ASSISTIVE_AIDS(state) {
            //state.assistiveAids = [];
            Object.assign(state, getDefaultState())
        },
    },
    actions: {
        assistiveAids({commit}, value) {
            commit('SET_ASSISTIVE_AIDS', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_ASSISTIVE_AIDS')
        }
    },
    getters: {
        assistive_Aids: state => state.assistiveAids,
    }
}

export default aidStore
