import { Module } from "vuex";

const getDefaultState = () => {
    return {
      items: []
    }
  }

const alarmProbabilityStore: Module<any, any> = {
    state: {
        alarmProbability_eventTimes: getDefaultState,
        alarmProbability_survivalProbability: getDefaultState
    },
    mutations: {
        SET_ALARM_PROBABILITY(state, value) {
            state.alarmProbability_eventTimes = value[0];
            state.alarmProbability_survivalProbability = value[1];
        },
        RESET_STATE_ALARM_PROBABILITY(state) {
            Object.assign(state, getDefaultState())
        },
    },
    actions: {
        probabilityAlarm({commit}, value) {
            commit('SET_ALARM_PROBABILITY', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_ALARM_PROBABILITY')
        }
    },
    getters: {
        alarm_Probability_EventTimes: state => state.alarmProbability_eventTimes,
        alarm_Probability_SurvivalProbability: state => state.alarmProbability_survivalProbability
    }
}

export default alarmProbabilityStore
