import {Module} from "vuex";
import {Citizen} from "@/model/Citizen";

const citizenStore: Module<any,any> = {
    state: {
        citizen: undefined
    },
    mutations: {
        SET_CITIZEN_PROFILE(state, value) {
            state.citizen = new Citizen(value[0], value[1], value[2], value[3]);
        },
        RESET_STATE_CITIZEN_PROFILE(state) {
            //state.citizen = undefined
            state.citizen = null
        },
    },
    actions: {
        citizenProfile({commit}, value) {
            commit('SET_CITIZEN_PROFILE', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_CITIZEN_PROFILE')
        }
    },
    getters: {
        citizen_Profile: state => state.citizen,
    }
}

export default citizenStore