import { Module } from "vuex";

const explainerStore: Module<any, any> = {
    state: {
        explainerComplete: [],
        explainerAlarm: [],
    },
    mutations: {
        SET_EXPLAINATION_COMPLETE(state, value) {
            state.explainerComplete = value;
        },
        SET_EXPLAINATION_ALARM(state, value) {
            state.explainerAlarm = value;
        },
        RESET_STATE_EXPLAINER(state) {
            state.explainerComplete = [];
            state.explainerAlarm = [];
        },
    },
    actions: {
        probabilityExplanationComplete({commit}, value) {
            commit('SET_EXPLAINATION_COMPLETE', value)
        },
        probabilityExplanationAlarm({commit}, value) {
            commit('SET_EXPLAINATION_ALARM', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_EXPLAINER')
        }
    },
    getters: {
        explainComplete: state => state.explainerComplete,
        explainAlarm: state => state.explainerAlarm,
    }
}

export default explainerStore
