import { Module } from "vuex";

const getDefaultState = () => {
    return {
      items: []
    }
  }

const homeCareStore: Module<any, any> = {
    state: {
        //homeCare: [],
        homeCare: getDefaultState,
    },
    mutations: {
        SET_HOME_CARE(state, value) {
            state.homeCare = value;
        },
        RESET_STATE_HOME_CARE(state) {
            //state.homeCare = [];
            Object.assign(state, getDefaultState())
        },
    },
    actions: {
        homeCare({commit}, value) {
            commit('SET_HOME_CARE', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_HOME_CARE')
        }
    },
    getters: {
        home_care: state => state.homeCare,
    }
}

export default homeCareStore
