import { Module } from "vuex";

const getDefaultState = () => {
    return {
      items: []
    }
  }

const trainingPlanStore: Module<any, any> = {
    state: {
        //trainingPlans: [],
        trainingPlans: getDefaultState
    },
    mutations: {
        SET_TRAINING_PLAN(state, value) {
            state.trainingPlans = value;
        },
        RESET_STATE_TRAINING_PLAN(state) {
            //state.trainingPlans = [];
            Object.assign(state, getDefaultState())
        },
    },
    actions: {
        trainingPlans({commit}, value) {
            commit('SET_TRAINING_PLAN', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_TRAINING_PLAN')
        }
    },
    getters: {
        training_Plans: state => state.trainingPlans,
    }
}

export default trainingPlanStore
