import Vue from 'vue';
import Vuex from 'vuex';

import citizenStore from "@/store/CitizenStore";
import probabilityStore from "@/store/ProbabilityStore";
import alarmProbabilityStore from './AlarmProbabilityStore';
import complianceStore from "@/store/ComplianceStore";
import explainerStore from './ExplainerStore';
import trainingPlanStore from "@/store/TrainingPlanStore";
import homeCareStore from "@/store/HomeCareStore";
import aidStore from "@/store/AidStore";
import registeredFallStore from "@/store/RegisteredFallStore";

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        search: false,
    },
    mutations: {
        CITIZEN_EXIST(state, value) {
            state.search = value
            },
        RESET_STATE_CITIZEN_EXIST(state) {
            state.search = false
            }
        },
    actions: { 
        citizenExist({commit}, value) {
            commit('CITIZEN_EXIST', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_CITIZEN_EXIST')
        }
    },
    getters: {
        search: state => state.search,
    },
    modules: {
        citizenStore,
        probabilityStore,
        alarmProbabilityStore,
        complianceStore,
        explainerStore,
        trainingPlanStore,
        homeCareStore,
        aidStore,
        registeredFallStore,
    }
})
